﻿using Syncfusion.UI.Xaml.Schedule;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at https://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace ScheduleUWP
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            ScheduleAppointmentCollection scheduleAppointmentCollection = new ScheduleAppointmentCollection();
            scheduleAppointmentCollection.Add(new ScheduleAppointment()
            {
                StartTime = DateTime.Now.Date.AddHours(10),
                EndTime = DateTime.Now.Date.AddHours(12),
                Subject = "Meeting",
                Location = "Hutchison road",
            });
            scheduleAppointmentCollection.Add(new ScheduleAppointment()
            {
                StartTime = DateTime.Now.Date.AddHours(16),
                EndTime = DateTime.Now.Date.AddHours(17),
                Subject = "Meeting",
                Location = "Hutchison road",
            });
            scheduleAppointmentCollection.Add(new ScheduleAppointment()
            {
                StartTime = DateTime.Now.Date.AddDays(1).AddHours(20),
                EndTime = DateTime.Now.Date.AddDays(1).AddHours(21),
                Subject = "Meeting",
                Location = "Hutchison road",
            });
            schedule.Appointments = scheduleAppointmentCollection;
            schedule.DoubleTapped += Schedule_DoubleTapped;
        }

        private async void Schedule_DoubleTapped(object sender, DoubleTappedRoutedEventArgs e)
        {
            ContentDialog dl = new ContentDialog()
            {
                Title = "Test dialog on double tap",
                Content = "Test",
                CloseButtonText = "Close"
            };

            await dl.ShowAsync();
        }

        private void schedule_Tapped(object sender, TappedRoutedEventArgs e)
        {
            ScheduleCommands.DragAndDropCommand.Execute(this.schedule);
        }

        private void schedule_ContextMenuOpening(object sender, ContextMenuOpeningEventArgs e)
        {
            e.Cancel = true;
        }

        private void schedule_AppointmentEditorOpening(object sender, AppointmentEditorOpeningEventArgs e)
        {
            e.Cancel = true;
        }

    }
}
